Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend
Class AddLuceneWork

    java.lang.Object
      org.hibernate.search.backend.LuceneWork
          org.hibernate.search.backend.AddLuceneWork

All Implemented Interfaces:
  java.io.Serializable

    public class AddLuceneWork

extends LuceneWork
implements java.io.Serializable

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`AddLuceneWork(java.io.Serializable id, java.lang.String idInString, java.lang.Class entity, org.apache.lucene.document.Document document)`
`AddLuceneWork(java.io.Serializable id, java.lang.String idInString, java.lang.Class entity, org.apache.lucene.document.Document document, boolean batch)`
`AddLuceneWork(java.io.Serializable id, java.lang.String idInString, java.lang.Class entity, org.apache.lucene.document.Document document, java.util.Map<java.lang.String,java.lang.String> fieldToAnalyzerMap)`
`AddLuceneWork(java.io.Serializable id, java.lang.String idInString, java.lang.Class entity, org.apache.lucene.document.Document document, java.util.Map<java.lang.String,java.lang.String> fieldToAnalyzerMap, boolean batch)`

Method Summary
`java.util.Map<java.lang.String,java.lang.String>` | `getFieldToAnalyzerMap()`
`
`<T> T`
` | `getWorkDelegate(WorkVisitor<T> visitor)`
`java.lang.String` | `toString()`

Methods inherited from class org.hibernate.search.backend.LuceneWork
`getDocument, getEntityClass, getId, getIdInString, isBatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddLuceneWork

    public AddLuceneWork(java.io.Serializable id,
                         java.lang.String idInString,
                         java.lang.Class entity,
                         org.apache.lucene.document.Document document)

### AddLuceneWork

    public AddLuceneWork(java.io.Serializable id,
                         java.lang.String idInString,
                         java.lang.Class entity,
                         org.apache.lucene.document.Document document,
                         boolean batch)

### AddLuceneWork

    public AddLuceneWork(java.io.Serializable id,
                         java.lang.String idInString,
                         java.lang.Class entity,
                         org.apache.lucene.document.Document document,
                         java.util.Map<java.lang.String,java.lang.String> fieldToAnalyzerMap)

### AddLuceneWork

    public AddLuceneWork(java.io.Serializable id,
                         java.lang.String idInString,
                         java.lang.Class entity,
                         org.apache.lucene.document.Document document,
                         java.util.Map<java.lang.String,java.lang.String> fieldToAnalyzerMap,
                         boolean batch)

Method Detail

### getFieldToAnalyzerMap

    public java.util.Map<java.lang.String,java.lang.String> getFieldToAnalyzerMap()

### getWorkDelegate

    public <T> T getWorkDelegate(WorkVisitor<T> visitor)

  Specified by:
    `getWorkDelegate` in class `LuceneWork`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.